/* FILE: xor.dsp                Copyright (c), Symmetric Research, 1992
 *
 * This is the DSP32C portion of the xor.c example program.  This file
 * should be assembled with the DSPASM /sc and /2 options.
 *
 * The /sc option will emit all of the global symbols in this file to
 * the C format include file xor.dsc so that xor.c can have the
 * addresses of objects in this file.
 *
 * The /2 option turns on two pass assembly for forward referencing.
 * The symbols x, y, and z are forward referenced in this file, and
 * require two passes to resolve their addresses.  Forward referencing
 * is convienent because the program can be laid out without location
 * directives.  The main entry point can be listed first and assembled
 * at location 0 by default, and data and other functions referenced as
 * they occur naturally further on in the source.
 *
 *
 */

xor {

        /* XOR x and y. */

        r1 = *x; r2 = *y; r3 = r1^r2; *z = r3;

        /* Set pir to done, and wait for the PC. */

        r1 = 1; pir = r1; wait: goto wait;
}


long 

      x, y, z;
